# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-sqlalchemy0.5
%if ! (0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%global srcname SQLAlchemy

Name:           python-module-sqlalchemy0.5
Version:        0.5.8
Release:        alt1_10
Summary:        Modular and flexible ORM library for python

Group:          Development/Python
License:        MIT
URL:            http://www.sqlalchemy.org/
Source0:        http://pypi.python.org/packages/source/S/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:         python-sqlalchemy0.5-py27.patch
# Fix https://rhn.redhat.com/errata/RHSA-2012-0369.html
Patch1: SQLAlchemy-0.5.5-coerce-limit-offset-to-int.patch

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires: python-module-setuptools
BuildRequires: python-module-nose
Source44: import.info

%description
SQLAlchemy is an Object Relational Mappper (ORM) that provides a flexible,
high-level interface to SQL databases.  Database and domain concepts are
decoupled, allowing both sides maximum flexibility and power. SQLAlchemy
provides a powerful mapping layer that can work as automatically or as manually
as you choose, determining relationships based on foreign keys or letting you
define the join conditions explicitly, to bridge the gap between database and
domain.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py bdist_egg

%install

mkdir -p %{buildroot}%{python_sitelibdir_noarch}
touch %{buildroot}%{python_sitelibdir_noarch}/easy-install.pth
easy_install -m --prefix %{buildroot}%{_usr} dist/*.egg
sed -i 's/\r//' examples/dynamic_dict/dynamic_dict.py
find %{buildroot}%{python_sitelibdir_noarch} -type f -exec chmod a-x \{\} \;
%{__rm} %{buildroot}%{python_sitelibdir_noarch}/easy-install.pth


# remove unnecessary scripts for building documentation
rm -rf doc/build

%files
%doc README LICENSE PKG-INFO CHANGES doc examples
%{python_sitelibdir_noarch}/*

%changelog
* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.8-alt1_10
- initial fc import

